summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitmodules3
-rw-r--r--Makefile.am15
-rwxr-xr-xautogen.sh8
-rw-r--r--configure.ac3
m---------libglnx0
5 files changed, 24 insertions, 5 deletions
diff --git a/.gitmodules b/.gitmodules
new file mode 100644
index 0000000..e5084af
--- /dev/null
+++ b/.gitmodules
@@ -0,0 +1,3 @@
+[submodule "libglnx"]
+ path = libglnx
+ url = https://git.gnome.org/browse/libglnx
diff --git a/Makefile.am b/Makefile.am
index 03aee50..4a51c6f 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -29,6 +29,15 @@ libexec_PROGRAMS = \
xdg-app-session-helper \
$(NULL)
+EXTRA_DIST =
+
+libglnx_srcpath := $(srcdir)/libglnx
+libglnx_cflags := $(BASE_CFLAGS) "-I$(libglnx_srcpath)"
+libglnx_libs := $(BASE_LIBS)
+include libglnx/Makefile-libglnx.am.inc
+
+noinst_LTLIBRARIES = libglnx.la
+
xdg_app_helper_SOURCES = xdg-app-helper.c
dbus_built_sources = xdg-app-dbus.c xdg-app-dbus.h
@@ -107,8 +116,8 @@ xdg_app_SOURCES = \
$(dbus_built_sources) \
$(NULL)
-xdg_app_LDADD = $(BASE_LIBS) $(OSTREE_LIBS) $(SOUP_LIBS)
-xdg_app_CFLAGS = $(BASE_CFLAGS) $(OSTREE_CFLAGS) $(SOUP_CFLAGS)
+xdg_app_LDADD = $(BASE_LIBS) $(OSTREE_LIBS) $(SOUP_LIBS) libglnx.la
+xdg_app_CFLAGS = $(BASE_CFLAGS) $(OSTREE_CFLAGS) $(SOUP_CFLAGS) -I$(srcdir)/libglnx
install-exec-hook:
if PRIV_MODE_SETUID
@@ -122,4 +131,4 @@ endif
completiondir = $(datadir)/bash-completion/completions
completion_DATA = completion/xdg-app
-EXTRA_DIST = $(completion_DATA)
+EXTRA_DIST += $(completion_DATA)
diff --git a/autogen.sh b/autogen.sh
index 52843e5..f207af5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -18,7 +18,13 @@ fi
# regenerated from their corresponding *.in files by ./configure anyway.
touch INSTALL
+cd "$olddir"
+if ! test -f libglnx/README.md || ! test -f bsdiff/README.md; then
+ git submodule update --init
+fi
+# Workaround automake bug with subdir-objects and computed paths
+sed -e 's,$(libglnx_srcpath),'${srcdir}/libglnx,g < libglnx/Makefile-libglnx.am >libglnx/Makefile-libglnx.am.inc
+
autoreconf --force --install --verbose || exit $?
-cd "$olddir"
test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
diff --git a/configure.ac b/configure.ac
index 193f76d..97e8b5f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -12,8 +12,9 @@ LT_INIT([disable-static])
AC_CONFIG_SRCDIR([xdg-app-helper.c])
AC_CONFIG_HEADERS([config.h])
AC_CONFIG_MACRO_DIR([m4])
-AM_INIT_AUTOMAKE([1.11 no-define no-dist-gzip dist-bzip2 tar-ustar foreign])
+AM_INIT_AUTOMAKE([1.11 no-define no-dist-gzip dist-bzip2 tar-ustar foreign subdir-objects])
AC_PROG_SED
+AC_USE_SYSTEM_EXTENSIONS
# Enable silent rules is available
AM_SILENT_RULES([yes])
diff --git a/libglnx b/libglnx
new file mode 160000
+Subproject 08d1339f9a61c0b437a623e68ebf2c64258d608